Tuesday, November 27, 2012

'-Phobia' Phobic


Via Romenesko: AP now says “-phobia” should not be used “in political or social contexts,” including homophobia. No more "ethnic cleansing" either. Read HERE.

No comments:

Share This

Blog Widget by LinkWithin